package com.ytpm.service;

import com.ytpm.agent.param.PlacementListParam;
import com.ytpm.agent.param.PlacementParam;
import com.ytpm.agent.view.AgentPlacementView;
import com.ytpm.general.Result;
import com.ytpm.general.ResultTable;

public interface PlacementService {

    /**
     * 查询广告位列表
     */
    ResultTable<AgentPlacementView> placementList(PlacementListParam param);
    /**
     * 保存广告位
     */
    Result<?> savePlacement(PlacementParam param,String userId);
    /**
     * 删除广告位
     */
    Result<?> delPlacement(String placementId,String userId);
}
